<?php

namespace Bydedi\Security\Driver;

use Bydedi\Security\Permission;
use Bydedi\Security\Role;

interface DriverInterface
{

    public function getRoles();

    public function getPermissions(Role $role = null);

    public function addPermission(Role $role, Permission $permission);

    public function deletePermission(Role $role, Permission $permission);

    public function findPermissionByCode($permissionCode);

    public function findRoleByName($roleName);
}
